%define upstream_name    EV
%define upstream_version 4.21

%define filelist %{upstream_name}-%{upstream_version}-filelist
%define maketest 1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Wrapper for the libev high-performance event loop library
License:    Artistic
Group:      Development/Perl
Url:        http://software.schmorp.de/pkg/EV.html
Source0:    http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Canary::Stability)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense)
BuildRequires: perl-devel
BuildRequires: perl-AnyEvent >= 1:2.6

%{?perl_default_filter}

%description
A thin wrapper around libev, a high-performance event loop. Intended
as a faster and less buggy replacement for the Event perl
module. Efficiently supports very high number of timers, scalable
operating system APIs such as epoll, kqueue and solaris's ports,
child/pid watchers and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
chmod -R u+w %{_builddir}/%{upstream_name}-%{upstream_version}

%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
echo | %__perl Makefile.PL `%__perl -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '` INSTALLDIRS=vendor
%{__make} 

%check
%{__make} test

%install
%{makeinstall} `%__perl -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null

%files
%doc COPYING Changes EV META.json META.yml MYMETA.yml README
%{perl_vendorarch}/EV.pm
%{perl_vendorarch}/EV
%{perl_vendorarch}/auto/EV
%_mandir/man3/EV*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 4.210.0-3.mga6
+ Revision: 1026934
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 4.210.0-2.mga6
+ Revision: 957268
- Mageia 6 Mass Rebuild

* Mon Jul 27 2015 sander85 <sander85> 4.210.0-1.mga6
+ Revision: 858242
- update to 4.21
  %%{upstream_name}-%%{upstream_version}-filelist

* Thu Jun 25 2015 sander85 <sander85> 4.200.0-1.mga6
+ Revision: 843619
- update to 4.20
  %%{upstream_name}-%%{upstream_version}-filelist

* Wed Oct 15 2014 umeabot <umeabot> 4.170.0-5.mga5
+ Revision: 739789
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 4.170.0-4.mga5
+ Revision: 732101
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 4.170.0-3.mga5
+ Revision: 684610
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 4.170.0-2.mga5
+ Revision: 632231
- perl 5.20.0 rebuild

* Tue Apr 15 2014 jquelin <jquelin> 4.170.0-1.mga5
+ Revision: 614780
- update to 4.17

* Thu Mar 13 2014 jquelin <jquelin> 4.160.0-1.mga5
+ Revision: 602893
- update to 4.16

* Sat Oct 19 2013 umeabot <umeabot> 4.150.0-2.mga4
+ Revision: 526982
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 4.150.0-1.mga4
+ Revision: 439273
- update to 4.15

* Wed May 29 2013 jquelin <jquelin> 4.110.0-5.mga4
+ Revision: 430688
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.110.0-4.mga3
+ Revision: 366741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 4.110.0-3.mga3
+ Revision: 283458
- Rebuild for new perl

* Wed May 30 2012 jquelin <jquelin> 4.110.0-2.mga3
+ Revision: 250603
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 4.110.0-1.mga2
+ Revision: 212846
- update to 4.11

* Wed Jan 25 2012 jquelin <jquelin> 4.100.0-1.mga2
+ Revision: 200880
- update to 4.10

* Sat Jun 11 2011 sander85 <sander85> 4.30.0-2.mga2
+ Revision: 103512
- perl 5.14

* Tue Feb 22 2011 jquelin <jquelin> 4.30.0-1.mga1
+ Revision: 56542
- update to 4.03

* Sun Jan 23 2011 jquelin <jquelin> 4.10.0-1.mga1
+ Revision: 33730
- mageia rebuild
- cleaning spec file
- imported package perl-EV

